#!/bin/bash
# Main script to create HepSim repository


DIR=./events

if [ $# -eq 1 ]
  then
    DIR=$1
    echo "Using $DIR"
fi

find $DIR -type f -name "files*" -exec rm -f {} \;
find $DIR -name "*~" -delete
find $DIR -type f -name "dirs.i*" -exec rm -f {} \;

./Make_sets $DIR

echo "Created index files from $DIR"
./Make_metadata $DIR 

echo "Rebuild ProMC metafile.txt from $DIR" 
./Make_promc_info $DIR

find $DIR -type d -exec cp -f index.php {} \;
#find ./events/ee/ -type d -exec cp -f index.php {} \;
